/*! HTML5 Boilerplate v5.0 | MIT License | http://h5bp.com/ */

/*
html {
    color: #222;
    font-size: 16px;
    line-height: 1.4;
	font-family: 'Crimson Text', serif;
}
*/


:root{
	--border-weight: 2px;
}

html {
    color: #222;
    font-size: 16px;
    line-height: 1.4;
	font-family: 'Calibri';
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

a {
	color: #000;
	font-weight: normal;
	text-decoration: underline;
}
a:hover {
	color: #0a58ca;
	text-decoration: underline;
}

audio,
canvas,
iframe,
img,
svg,
video {
    vertical-align: middle;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

textarea {
    resize: vertical;
}

.browserupgrade {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}


/* ==========================================================================
   Author's custom styles
   ========================================================================== */
/*


*/


* {
//	box-sizing:border-box;
}
/*
body {
	padding:0;
	padding-top:30px;
	padding-bottom:200px;
	background:#FFFFFF;
	overflow-y:scroll;
}
*/
#container {
	width:100%;
/*	max-width:1240px;*/
	max-width:840px;
	margin:0 auto;
}

main {
}

/***** Kopf- und Fußbereich *****/

h1 {
	font-weight: 500;
	font-size: 34px;
	color: #286f9c !important;
	margin-bottom: 10px;
}
h2 {
	font-weight: normal;
	font-size: 1.4rem;
	color: #286f9c !important;
	margin-bottom: 10px;
}

.mb10 {
	margin-bottom: 10px;
}

.container-fluid{
	width: auto;
}

/*



header {

}
header h1 {
	color:#0069A3;
	font-size:1.8rem;
	font-weight:600;
}
header h1 img {
	max-width:20%;
	margin-right:7.2%;
	display:block;
	float:left;
}

*/
table-footer {
	margin-top:20px;
	font-size:0pt;
}
table-footer > div {
	display:inline-block;
	font-size:0.95rem;
	vertical-align:middle;
}
table-footer > div:first-child {
	width:25%;
	margin-right:3.5%;
}
table-footer > div:last-child {
	width:65%;
}

table-footer h3 {
	margin-bottom:5px;
	color:#0069A3;
}

table-footer .infobutton {
	float:left;
	background-color:white;
	margin-right:10px;
	margin-top:10px;
	vertical-align:top;
}

table-footer .legende {
	display: inline-block;
  width: 15px;
  height: 15px;
  vertical-align: middle;
  margin: 0 5px 0 15px;
  border-radius: 50%;
}
table-footer .we.legende {
	border:2px solid #ddd;
}

table-footer .legende.first {
	margin-left:15px;
}

table-footer .fix-legend-width {
	display: inline-block;
	width: 200px;
}



#switchbox {

}
#switchbox div {
	width:60px;
	height:60px;
	background-image:url('../img/sonne.png');
	background-position:center center;
	background-repeat:no-repeat;
	cursor:pointer;
	text-align:center;
	font-size:2em;
	line-height:60px;
	color:white;
	font-weight:600;
}






/**** Matrix-Tabelle *****/
#headertable {
	cursor:default;
/*	width:1240px;*/
	width:840px;
	border-collapse:separate;
	background:transparent;
}
#headertable tr {
	background:transparent;
}

#headertable tr td:first-child {
	border-left:2px solid white !important;
}
#headertable tr td:last-child {
	border-right:2px solid white !important;
}


#headertable img {
	max-width:80%;
	display:block;
	margin:0 auto;
}

#headertable h1,
#headertable h2 {
	color:#0069A3;
	/*text-transform: uppercase;*/
	letter-spacing:0.06em;
	margin:0 0 5px 0;
	text-rendering:optimizeLegibility;
}
#headertable h2 {
	font-size:1.07rem;
	font-weight:600;
	text-transform: none;
	letter-spacing:0em;
}

#metatable {
	cursor:default;
	width:840px;
	font-size:0.85rem;
	border-collapse:separate;
/*	border-collapse:collapse;*/
	background:transparent;
}
#metatable tr td:first-child {
}

#metatable tr,
#metatable td {
	background:transparent;
	border-width:0;
}

#metatable td {
	font-size:0.9rem;
	font-weight:600;
	text-align:center;
	background-color:#EAEBEC;
	border-left:2px solid white;
}
#metatable td:first-child {
	border-left:0px solid white;
}


#matrix {
	cursor:default;
	width:840px;
	font-size:0.85rem;
	line-height:1.15;
	border-collapse:separate;
/*	border-collapse:collapse;*/
}



/** Kopfbereich **/

/*


*/

#matrix thead th {
	width:8.5%;
	background-color:#e4ebf1;
	border-top:2px solid white;
	border-bottom:2px solid white;
	border-left:2px solid white;
}
#matrix thead tr th:first-child {
	width:23.5%;
	border-bottom: none;
	border-left:2px solid white;
	font-size:1.1rem;
	text-align:left
}

#matrix thead tr {
	background:transparent;
}
#matrix thead tr:first-child {
	height:3.75rem;
}


#matrix th strong {
	font-weight:600;
	font-size:0.75rem;
}


/** Zeilen **/

#matrix tr {
	height:4.75rem;
	background-color: #e4ebf1;
	border-left:0px solid #e4ebf1;
}

/* Zellen im Fokusbereich */

#matrix tr.trhigh td {
	border-top:2px solid black;
	border-bottom:2px solid black;
}

#matrix tr.trhigh td:last-child {
	border-right:2px solid black;
}
#matrix tr.trhigh td:first-child {
	border-left:2px solid black;
}


/** Zellen **/

#matrix td, th {
	padding:3px 5px;
	position:relative;
	font-size:1.0rem;
	line-height:1.15;
	border-left:var(--border-weight) solid white;
	border-right:var(--border-weight) solid white;
	border-bottom:var(--border-weight) solid white;
	border-top:var(--border-weight) solid white;
	height: 70px;
	min-width: 70px;

}

#matrix th, #matrix tbody td:first-child {
	vertical-align: top;
	text-align: left;
}

#matrix td:not(:first-child){
	vertical-align: middle;
	text-align: center;
	font-size: 2.0rem;
}

#matrix td.tdhigh,
#matrix th.tdhigh {
	border-left:2px solid black !important;
	border-right:2px solid black !important;
}

/*
#matrix tbody tr:last-child td {
	border-bottom:2px solid white;
	border-left:2px solid white !important;
}
*/

#matrix tbody.matrix-data tr.trhigh:last-child td {
	border-bottom:2px solid black;
}
#matrix tbody.matrix-data tr:last-child .tdhigh {
	border-bottom:2px solid black;
	border-left:2px solid black;
}



#matrix thead tr:first-child th:not(:first-child) {
	border-top:2px solid white;
	background-color: #e4ebf1;
}
#matrix thead tr:first-child th.tdhigh {
	border-top:2px solid black;
}

#matrix thead th{
	height: 100px;
}

#matrix tbody th:not(:first-child):not(:last-child){
	border-right-color: black;
}

#matrix tbody th:not(:first-child):not(:nth-child(2)){
	border-left-color: black;
}



#matrix tbody th:not(:first-child) {
	background-color: white;
}

#matrix tbody th:first-child {
	border-top: none;
}





/** Farbcodes **/
.light.we {		background-color: hsla(0, 0%, 100%, 0.6);	}

.gr {		background-color: hsla(79, 70%, 36%, 1); }
.light.gr {		background-color: hsla(79, 70%, 36%, 0.6); }

.ge {		background-color: hsla(52, 100%, 45%, 1);	}
.light.ge {		background-color: hsla(52, 100%, 45%, 0.6);	}

.or {		background-color: hsla(36, 97%, 48%, 1);	}
.light.or {		background-color: hsla(36, 97%, 48%, 0.6);	}

.re {		background-color: hsla(344, 92%, 39%, 1);	}
.light.re {		background-color: hsla(344, 92%, 39%, 0.6);	}


/** Kreise für Plus-Minus Zeichen **/

.kreis-shape-container {
	display: flex;
	justify-content: center;
	align-items: center;
}
.kreis-shape{
	border-radius: 50%;
	width: 50px;
	height: 50px;
	background-color: #ffffff80;
	text-align: center;
	line-height: 45px;
}




/*** HILFE ***/


.help {
    position: absolute;
    right: 23px;
    bottom: 22px;
    z-index:100;
	font-weight:400;
}
#matrix .help {
    display:none;
}

#matrix .trhigh .help,
#matrix .tdhigh .help {
	display:block;
}
#matrix .trhigh .help {
	bottom:20px;
}
#matrix .tdhigh .help {
	right:21px;
}

.hb {
	z-index:2;
    position: absolute;
    left:0px;
    top:0px;
    width: 15px;
    height: 15px;
	line-height:17px;
    background: #fff;
	border:1px solid #aaa;
    text-align: center;
    font-weight: 600;
    font-size: 10pt;
    color: #aaa;
    margin-right: 3px;
    padding-left: 0px;
    padding-top: 0px;
    border-radius: 50%;
    cursor: help;
}


.ht {
	z-index:1;
    position: absolute;
    left:-20px;
    top:-40px;
	width:320px;
	text-align:left;
	line-height:1.2;

	background:white;
	border:2px solid #aaa;
	padding:40px 40px 40px 40px;
    border-radius: 10px 10px 10px 10px;
	display:none;
	font-weight:400;
	font-size:0.85rem;
	line-height:1.4;
	hyphens: auto;
}

#matrix tr:last-child .ht,
#matrix tr:nth-last-child(2) .ht,
#matrix tr:nth-last-child(3) .ht {
	bottom:-18px;
	top:auto;
}

td:first-child .ht {
	width:520px;
}


/* die vier Spalten von rechts sollen das Hilfefenster nach links anzeigen */
td:nth-last-child(2) .ht,
td:nth-last-child(3) .ht,
td:nth-last-child(4) .ht {
/*	left:auto;*/
    left:-380px;
	right:auto;
/*	right:-18px;*/
/*	padding-left:5px;*/
/*	padding-right:20px;*/
}

td:last-child .ht {
/* 	left:auto;*/
    left:-380px;
/*	right:auto;*/
/*	padding-left:5px;*/
/*	padding-right:20px;*/
}

/*  Kopie zum Testen db

.hb {
	z-index:2;
    position: absolute;
    left:0px;
    top:0px;
    width: 15px;
    height: 15px;
	line-height:17px;
    background: #fff;
	border:1px solid #aaa;
    text-align: center;
    font-weight: 600;
    font-size: 10pt;
    color: #aaa;
    margin-right: 3px;
    padding-left: 0px;
    padding-top: 0px;
    border-radius: 50%;
    cursor: help;
}


.ht {
	z-index:1;
    position: absolute;
    left:0px;
    top:0px;
	width:295px;
	text-align:left;
	line-height:1.2;

	background:white;
	border:2px solid #aaa;
	padding:2px 5px 5px 20px;
    border-radius: 10px 10px 10px 10px;
	display:none;
	font-weight:400;
	font-size:0.85rem;
	line-height:1.4;
	hyphens: auto;
}

#matrix tr:last-child .ht,
#matrix tr:nth-last-child(2) .ht,
#matrix tr:nth-last-child(3) .ht {
	bottom:-18px;
	top:auto;
}

td:last-child .ht,
td:nth-last-child(2) .ht {
	left:auto;
	right:-18px;
	padding-left:5px;
	padding-right:20px;
}

*/

/* ==========================================================================
   Media Queries
   ========================================================================== */

@media only screen and (min-width: 35em) {

}

@media print,
       (-o-min-device-pixel-ratio: 5/4),
       (-webkit-min-device-pixel-ratio: 1.25),
       (min-resolution: 120dpi) {

}

/* ==========================================================================
   Helper classes
   ========================================================================== */

.hidden {
    display: none !important;
    visibility: hidden;
}

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

.invisible {
    visibility: hidden;
}

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}

/* ==========================================================================
   Print styles
   ========================================================================== */

@media print {
    *,
    *:before,
    *:after {
        color: #000 !important;
        box-shadow: none !important;
        text-shadow: none !important;
		color-adjust: exact!important;
		-webkit-print-color-adjust: exact!important;
		print-color-adjust: exact!important;
  }
		
    a,
    a:visited {
        text-decoration: underline;
    }

    a[href]:after {
        content: " (" attr(href) ")";
    }

    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    a[href^="#"]:after,
    a[href^="javascript:"]:after {
        content: "";
    }

    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }

    thead {
        display: table-header-group;
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    img {
        max-width: 100% !important;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}
